---
title: "gce/BP/2021_001"
linkTitle: "BP/2021_001"
weight: 1
type: docs
description: >
  Serial port logging is enabled.
---

**Product**: [Compute Engine](https://cloud.google.com/compute)\
**Rule class**: Best practices

### Description

If this rule failed, it means that some instances have serial output logging
disabled, and it is recommended that you enable it.

Serial port output can be often useful for troubleshooting, and enabling serial
logging makes sure that you don't lose the information when the VM is restarted.
Additionally, serial port logs are timestamped, which is useful to determine
when a particular serial output line was printed.

gcpdiag makes uses of the serial output logs to detect some common issues in
GCE, which won't work if serial output logging is disabled.

### Remediation

See *Viewing serial port output* link below for instructions on how to enble
serial output logging for GCE instances.

### Further information

- [Viewing serial port output](https://cloud.google.com/compute/docs/instances/viewing-serial-port-output)
